Index: print/preview-latex/Makefile
===================================================================
diff -u print/preview-latex/Makefile.orig print/preview-latex/Makefile
--- print/preview-latex/Makefile.orig	Sun Jul 27 16:20:43 2003
+++ print/preview-latex/Makefile	Sun Jul 27 16:21:32 2003
@@ -15,10 +15,16 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	LaTeX previewer on Emacs

+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 BUILD_DEPENDS=	${LOCALBASE}/${EMACS_SITE_LISPDIR}/auctex/latex.el:${PORTSDIR}/print/auctex \
-		gs:${PORTSDIR}/print/ghostscript-gnu
+		gs:${PORTSDIR}/${GSPORT}
 RUN_DEPENDS=	${LOCALBASE}/${EMACS_SITE_LISPDIR}/auctex/latex.el:${PORTSDIR}/print/auctex \
-		gs:${PORTSDIR}/print/ghostscript-gnu \
+		gs:${PORTSDIR}/${GSPORT} \
 		mktexlsr:${PORTSDIR}/print/teTeX

 EMACS_PORT_NAME?=	emacs21
@@ -30,6 +36,14 @@
 CONFIGURE_ARGS+=	--disable-8bit-test

 DOCS=	ChangeLog INSTALL PROBLEMS README latex/README-preview RELEASE TODO
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 post-install:
 	mktexlsr
